import 'package:flutter/material.dart';
import 'package:syncrow_web/utils/color_manager.dart';

class SubspaceNameDisplayWidget extends StatelessWidget {
  final String text;
  final TextStyle? textStyle;
  final Color backgroundColor;
  final Color borderColor;
  final EdgeInsetsGeometry padding;
  final BorderRadiusGeometry borderRadius;

  const SubspaceNameDisplayWidget({
    Key? key,
    required this.text,
    this.textStyle,
    this.backgroundColor = ColorsManager.whiteColors,
    this.borderColor = ColorsManager.transparentColor,
    this.padding = const EdgeInsets.symmetric(horizontal: 8.0, vertical: 4.0),
    this.borderRadius = const BorderRadius.all(Radius.circular(10)),
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Container(
      padding: padding,
      decoration: BoxDecoration(
        color: backgroundColor,
        borderRadius: borderRadius,
        border: Border.all(color: borderColor),
      ),
      child: Text(
        text,
        style: textStyle ??
            Theme.of(context)
                .textTheme
                .bodySmall
                ?.copyWith(color: ColorsManager.spaceColor),
      ),
    );
  }
}
